%global srcname blockdiag


Summary:        Blockdiag generate block-diagram image file from spec-text file
Name:           python-%{srcname}
Version:        3.0.0
Release:        2%{?dist}
License:        ASL 2.0
URL:            http://blockdiag.com/en/blockdiag/index.html
Source0:        https://github.com/blockdiag/blockdiag/archive/refs/tags/%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

# https://github.com/blockdiag/blockdiag/pull/159.patch
Patch0001:      159.patch

BuildRequires:  pyproject-rpm-macros python3-devel python3-docutils python3-flake8
BuildRequires:  python3-funcparserlib python3-mock python3-nose python3-pillow python3-reportlab 
BuildRequires:  python3-setuptools python3-tox-current-env python3-webcolors

BuildArch:      noarch

%description
Blockdiag and its family generate diagram images from
simple text files.

%package -n %{srcname}
Summary:        %{summary}
Requires:       python3-%{srcname} = %{version}-%{release}


%description -n %{srcname}
Blockdiag and its family generate diagram images from
simple text files.


%package -n python3-%{srcname}
Summary:        Python 3 module for %{srcname}
Provides:       python3-%{srcname}-devel = %{version}-%{release}


%description -n python3-%{srcname}
Blockdiag and its family generate diagram images from
simple text files.


%prep
%autosetup -p1 -n %{srcname}-%{version}
touch src/blockdiag/tests/diagrams/invalid.txt


%build
%py3_build


%install
%py3_install
install -pm 644 -D %{srcname}.1 %{buildroot}%{_mandir}/man1/%{srcname}.1


%check
ALL_TESTS=1 %tox


%files -n %{srcname}
%license LICENSE
%{_bindir}/%{srcname}
%{_mandir}/man1/%{srcname}.1*


%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/%{srcname}*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 17 2023 Miaojun Dong <zoedong@tencent.com> - 3.0.0-1
- initial build
